> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scan Job

> Get the status of a scan job (authenticated).



## OpenAPI

````yaml /openapi.json get /v1/security/jobs/{job_id}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/security/jobs/{job_id}:
    get:
      tags:
        - security
      summary: Get Scan Job
      description: Get the status of a scan job (authenticated).
      operationId: get_scan_job_v1_security_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScanJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ScanJobResponse:
      properties:
        id:
          type: string
          title: Id
        slug:
          type: string
          title: Slug
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        skill_type:
          type: string
          title: Skill Type
          default: skill
        status:
          type: string
          title: Status
        attempt:
          type: integer
          title: Attempt
          default: 0
        outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Outcome
        score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Score
        findings:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Findings
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          title: Created At
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - slug
        - status
        - created_at
      title: ScanJobResponse
      description: Full scan job status.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````